#include "lcd_lover.h"

#include <avr/pgmspace.h>
#include "words.h"

char buffer[30];
int current_row = 0;
int wordcount = 0;

void setup() {
  randomSeed(analogRead(0));
  lcd_init();
}

int strlen(char *str) {
  char *s;
  if (str == NULL) {
    return 0;
  }
  for (s = str; *s; s++);
  return s - str;
}

void loop() {

  lcd_row(current_row);
  
  strcpy_P(buffer, (char*)pgm_read_word(&(string_table[random(1000)])));    
  lcd_write_string(buffer);
  lcd_write_string(" ");
  
  strcpy_P(buffer, (char*)pgm_read_word(&(string_table[random(1000)])));    
  lcd_write_string(buffer);
  lcd_write_string(" ");
  
  delay(500);
  
  current_row++;
  if (current_row > 3) {
    delay(1000);
    current_row = 0;
    lcd_clear();
  }

  
}
